Bug 141613 - Crash: swlo!SwTableNode::DelFrames+0x27:
Summary: Crash: swlo!SwTableNode::DelFrames+0x27:
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: high major
Assignee: Dániel Arató (NISZ)
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2021-04-10 19:41 UTC by Telesto
Modified: 2021-05-10 13:41 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (7.29 KB, text/plain)
2021-04-11 10:56 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-04-10 19:41:45 UTC
Description:
Crash: swlo!SwTableNode::DelFrames+0x27:

Steps to Reproduce:
1. Open Writer
2. insert a 2x2 table
3. Single on the header: blue header bar appears
4. Click the blue button
5. press and hold CTRL+Z

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ea4fb1559f7b99a0bfaf18f26cb3b6972c9cde1c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-04-10 19:42:32 UTC
Undo header didn't work with
Version: 7.0.0.0.beta1+ (x64)
Build ID: 2891e91a513520d68ea2b8c59c14335861a15253
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 2 Roman Kuznetsov 2021-04-10 20:32:47 UTC
confirm a crash in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 7c6605bd2c1b27c12c4a492921e537eb4bf5a98e
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: CL

but not in

Version: 7.1.1.2 (x64) / LibreOffice Community
Build ID: fe0b08f4af1bacafe4c7ecc87ce55bb426164676
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: CL

=>regression
Comment 3 Julien Nabet 2021-04-11 10:56:17 UTC
Created attachment 171098 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 4 Xisco Faulí 2021-04-11 18:59:06 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8d8486f43c1a8a51157bfc3e0b87090b05a9229e

author	Daniel Arato (NISZ) <arato.daniel@nisz.hu>	2021-02-22 16:59:38 +0100
committer	Balazs Varga <varga.balazs3@nisz.hu>	2021-03-17 13:10:27 +0100
commit	8d8486f43c1a8a51157bfc3e0b87090b05a9229e (patch)
tree	1321f23e4480341338f979f08fce6cdf46030f85
parent	262c07d2b733543dd895b92325b36ce093226f26 (diff)
tdf#46561 sw: fix lost undo stack setting header/footer

Bisected with: bibisect-linux64-7.2

Adding Cc: to Daniel Arato
Comment 5 Commit Notification 2021-05-04 13:39:11 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/65e52cb61d74b0c71b45b63b2da131bc6b621104

tdf#141613 sw: fix crash at header/footer undo

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-05-04 16:34:35 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4ade38b97f8c22061b612bac81f5dcd3cfb83547

tdf#141613: sw_uiwriter3: fix unittest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2021-05-05 07:58:18 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 1a99b4e44190e182d56a04678850d62635d74c65
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Dániel, thanks for fixing this issue!
Comment 8 Aron Budea 2021-05-09 03:43:02 UTC
(In reply to Commit Notification from comment #5)
> https://git.libreoffice.org/core/commit/
> 65e52cb61d74b0c71b45b63b2da131bc6b621104
> 
> tdf#141613 sw: fix crash at header/footer undo

Noting this fallout here:
https://lists.freedesktop.org/archives/libreoffice/2021-May/087334.html
Comment 9 Commit Notification 2021-05-10 13:41:49 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0cd000bb83719982c1fd2265ea040c82af5bf98e

tdf#141613 sw: avoid possible crash when undoing header creation

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.